[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Add Xen microcode update driver for Wheezy

Package: src:linux
Version: 3.2.32-1
Severity: grave

See [0] for my analysis of the available options and [1] for the
original announcement of the microcode packages.

As discussed in [0] I intend to forward port the Xen support for the
microcode driver -- it is very self contained.

Grave due to the potential for data loss as described in [1].


[0] https://lists.debian.org/debian-devel/2012/11/msg00141.html
[1] https://lists.debian.org/debian-devel/2012/11/msg00109.html

On Tue, 2012-11-06 at 15:43 +0100, Stephan Seitz wrote:
> On Mon, Nov 05, 2012 at 06:12:53PM -0200, Henrique de Moraes Holschuh wrote:
> >I would like to bring to your attention the improved support for system
> >processor (CPU) microcode updates, for x86/i686/x86-64/amd64 systems
> >that was recently added to [non-free] Wheezy.
> Alas, this will not work for XEN users because I can’t update the 
> microcode in Dom0 with xen-hypervisor 4.1. There exist kernel patches 
> (over a year old), but according to the xen-devel ML they are not good 
> enough to be included in the kernel.
> With XEN 4.2 the hypervisor can load the CPU microcode. Would this be 
> a reason to include XEN 4.2 in Wheezy?
> 	Stephan

Ian Campbell
Current Noise: AC/DC - You Shook Me All Night Long

Help!  I'm trapped in a Chinese computer factory!

Reply to: